Subject: bug#62447: 30.0.50; xref default behaviour changed after a desktop-read

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Mar 2023 21:53:47 +0300

> Date: Sat, 25 Mar 2023 19:39:33 +0100
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I'm using desktop-save-mode and since sometimes when I do a M-. on
> function call in a C buffer, Emacs says:
> user-error: No definitions found for: scroll_command
> 
> If I start without desktop-save-mode on, this works as usual: Emacs asks
> me if I want to read the TAGS table.

If you start Emacs _with_ desktop-save-mode on, do you get some buffer
with TAGS table in it?  If yes, maybe that TAGS table is from the
wrong project?